libsquashfs: include/sqfs/xattr.h File Reference

libsquashfs 1.3.2 A new set of tools and libraries for working with SquashFS images

Loading...
Searching...
No Matches
xattr.h File Reference

Contains on-disk data structures for storing extended attributes. More...

`#include "sqfs/predef.h"`

Go to the source code of this file.

## Data Structures
struct | sqfs_xattr_entry_t
| On-disk data structure that holds a single xattr key. More...
struct | sqfs_xattr_value_t
| On-disk data structure that holds a single xattr value. More...
struct | sqfs_xattr_id_t
| On-disk data structure that describes a set of key-value pairs. More...
struct | sqfs_xattr_id_table_t
| On-disk data structure that the super block points to. More...

## Enumerations
enum | SQFS_XATTR_TYPE { SQFS_XATTR_USER = 0 , SQFS_XATTR_TRUSTED = 1 , SQFS_XATTR_SECURITY = 2 , SQFS_XATTR_FLAG_OOL = 0x100 , SQFS_XATTR_PREFIX_MASK = 0xFF }

## Functions
SQFS_API const char * | sqfs_get_xattr_prefix (SQFS_XATTR_TYPE id)
| Resolve an xattr identifier to the coresponding prefix.
SQFS_API int | sqfs_get_xattr_prefix_id (const char *key)
| Resolve an xattr prefix into an identifier.

## Detailed Description

Contains on-disk data structures for storing extended attributes.

Definition in file xattr.h.

## Enumeration Type Documentation

## ◆ SQFS_XATTR_TYPE

enum SQFS_XATTR_TYPE

Used by sqfs_xattr_entry_t to encodes the xattr prefix.

Definition at line 36 of file xattr.h.

## Function Documentation

## ◆ sqfs_get_xattr_prefix()

SQFS_API const char * sqfs_get_xattr_prefix | ( | SQFS_XATTR_TYPE | id | ) |

Resolve an xattr identifier to the coresponding prefix.

Like many file systems, SquashFS stores xattrs be cutting off the common prefix of the key string and storing an enumerator instead to save memory.

This function takes an SQFS_XATTR_TYPE identifier and returns the coresponding prefix string, including the '.' at the end that separates the prefix from the rest of the key.

## ◆ sqfs_get_xattr_prefix_id()

SQFS_API int sqfs_get_xattr_prefix_id | ( | const char * | key | ) |

Resolve an xattr prefix into an identifier.

Like many file systems, SquashFS stores xattrs be cutting off the common prefix of the key string and storing an enumerator instead to save memory.

This function takes a key and finds the enumerator value that represents its prefix. An error value is returned if the given prefix isn't supported.

Returns
  On success an SQFS_XATTR_TYPE. If not supported, the SQFS_ERROR_UNSUPPORTED error code.